Get RRD data
Retrieve monitoring metrics (CPU, memory, network, disk) for an instance.
Authorization
ApiKeyAuth x-apikey<token>
In: header
Path Parameters
instance_uuid*string
UUID of the instance
Format
uuidQuery Parameters
periode*string
Time interval for RRD data (hour, day, week, month, year)
Response Body
application/json
curl -X GET "https://api.dewavps.com/v1/instance/497f6eca-6276-4993-bfeb-53cbbbba6f08/rrd?periode=string"{
"message": "RRD data",
"data": {
"cpu": [
{
"time": "string",
"cpu": 0
}
],
"memory": [
{
"time": "string",
"raw_max_memory": 0,
"max_memory": "string",
"raw_usage_memory": 0,
"usage_memory": "string"
}
],
"network": [
{
"time": "string",
"raw_netin": 0,
"netin": "string",
"raw_netout": 0,
"netout": "string"
}
],
"disk": [
{
"time": "string",
"raw_diskwrite": 0,
"diskwrite": "string",
"raw_diskread": 0,
"diskread": "string"
}
]
}
}